Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 11 Oct 2022 16:37:05 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I really feel very bad about the return policy.
It is bee more than one month , I have one return pending..
I feel so irritated
Every time I call customer care, they are telling within 24 hrs , my item will be collected.
Now more than one month.
Customer service is very bad 
I was a regular customer
Now I feel I didn't want to purchase from max
Very bad experience https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4940071